<?php

declare(strict_types=1);

namespace App\Filament\Components\Form;

use Filament\Forms\Components\FileUpload;

class AttachmentsFileUpload extends FileUpload
{
    public static function create(): static
    {
        return parent::make('attachments')
            ->label('پیوست‌ها')
            ->columnSpan(12)
            ->panelLayout('grid')
            ->directory('files')
            ->downloadable()
            ->reorderable()
            ->moveFiles()
            ->openable()
            ->multiple();
    }
}
